API reference
Domains
Register and manage the domains in your partner account, their subdomains and subscription products.
Get domains
Query parameters:
| Name | Type | Required | Description |
|---|---|---|---|
search |
string | No | Search by hostname, domain ID, or property ID |
id |
string | No | Retrieve a specific domain by ID |
status |
string | No | Filter by domain status |
is_active |
boolean | No | Filter by active/inactive domains |
source |
string | No | Filter by domain creation source |
has_scripts |
boolean | No | Filter by script management status |
has_dsar |
boolean | No | Filter by Data Subject Request functionality |
has_docs |
boolean | No | Filter by legal documents display |
has_accessibility |
boolean | No | Filter by accessibility functionality |
display_company |
boolean | No | Filter by company information display |
display_dpo |
boolean | No | Filter by DPO information display |
company_trade_name |
string | No | Search by company trade name |
company_id_number |
string | No | Filter by company ID number |
instance_company_id |
string | No | Filter by instance company ID |
instance_property_id |
string | No | Filter by instance property ID |
instance_id |
string | No | Filter by instance ID |
widget_version |
integer | No | Filter by widget version |
product_id |
array | No | Filter by product ID(s) |
price_list_id |
string | No | Filter by price list ID |
merchant_id |
string | No | Filter by merchant ID |
subscription_status |
string | No | Filter by subscription status |
is_active_subscription |
boolean | No | Filter by active subscriptions |
has_subscription |
boolean | No | Filter domains with/without subscriptions |
referral_partner_id |
string | No | Filter by referral partner ID |
created_at_start |
string | No | Filter domains created after this date |
created_at_end |
string | No | Filter domains created before this date |
activated_at_start |
string | No | Filter domains activated after this date |
activated_at_end |
string | No | Filter domains activated before this date |
page |
integer | No | Page number |
limit |
integer | No | Results per page |
Show properties
Show properties
NEW SCANNED INVITED ACTIVE INACTIVE MIGRATING DELETEDAPI IMPORT PORTAL REGISTRATION WIDGET_SCAN WIDGET_REGISTRATIONShow properties
Show properties
Show properties
Show properties
Show properties
Show properties
NEW ACTIVE TRIAL GRACE PENDING_CANCEL PENDING_CHANGE PENDING_ACTIVE INACTIVEShow properties
MONTH YEARShow properties
Show properties
Show properties
GET /api/portal/domains HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Accept: */*
{
"meta": {
"current_page": 0,
"next_page": 0,
"prev_page": 0
},
"result": [{
"id": "1f19dbcbc7b84be5b40ffcc4ya0zqbtr",
"hostname": "mycompany.com",
"status": "NEW",
"instance_property_id": "7a56a154e6d242d796b9afdfx4clzjrg",
"instance_company_id": "57cb7126dbbe4320b8c30be7uh1tj7h7",
"updated_at": "string",
"created_at": "string",
"activated_at": "string",
"is_active": false,
"email": "john@mycompany.com",
"company_trade_name": "My Company Inc",
"company_id_number": "333000",
"has_scripts": false,
"has_dsar": false,
"has_docs": false,
"has_accessibility": false,
"display_company": false,
"display_dpo": false,
"has_clym_logo": false,
"widget_version": 0,
"instance_id": 0,
"system_segment_id": 0,
"source": "API",
"partner_id": "ac276ff57f9b4d2196c28927gxh25xx6",
"privacy_widget": "<script>\nwindow._clymInit=window._clymInit||[];\nwindow._clymInit.push(['privacy','YOUR_PROPERTY_ID',{}]);\n</script>\n<script src='https://widget.clym-sdk.net/blocking.js'></script>\n<script src='https://widget.clym-sdk.net/clym.js' async></script>\n",
"privacy_center_link": "<a href=\"#\" onclick=\"Clym.showWidget();\">Privacy Center</a>\n",
"privacy_dnt_link": "<a href=\"#\" onclick=\"Clym.showWidget('/requests/new/do_not_sell_my_information');\">Do not sell my personal information</a>\n",
"merchants": ["string"],
"instance": {
"id": 0,
"name": "string",
"hostname": "string"
},
"property": null,
"subscription": {
"id": "string",
"status": "NEW",
"start_date": "string",
"end_date": "string",
"created_at": "string",
"price": {
"id": 0,
"frequency": "MONTH",
"currency": {
"id": {},
"name": {}
},
"price_list": {
"id": {},
"type": {},
"code": {}
},
"product": {
"id": {},
"type": {},
"name": {}
}
}
}
}]
}Create domain
Create a new domain in your partner account. Note that some fields are required and some are optional, depending on the onboarding configuration setup for your partner. To find out more, reach out to your partner account manager.
CLASSIC DISCRETE FOOTER TOPSCAN SCAN_INVITE CREATE_SILENT CREATE_SILENT_SCANShow properties
NEW SCANNED INVITED ACTIVE INACTIVE MIGRATING DELETEDAPI IMPORT PORTAL REGISTRATION WIDGET_SCAN WIDGET_REGISTRATIONPOST /api/portal/domains HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "domain": "mycompany.com", "product": "BASE", "price_list": "RESELLER", "company_name": "My Company Inc", "company_trade_name": "My Company", "company_id_number": "333000", "company_setup": false, "account_email": "john@mycompany.com", "account_first_name": "John", "account_last_name": "Doe", "phone_number": 19804468535, "vat_number": "GB493049", "registration_number": "49434993", "country": "US", "state": "FL", "city": "Stuart", "address": "950 S Kanner Hwy Apt 401", "address_2": "Suite 200", "postal_code": "34994", "primary_color": "#c3c3c3", "has_scripts": true, "has_dsar": true, "has_docs": false, "has_accessibility": true, "display_dpo": true, "display_company": false, "subdomains": [ "string" ], "default_notice_type": "CLASSIC", "send_intro": false, "action": "CREATE_SILENT", "merchant_id": "1111111", "referral_partner_id": "ac276ff57f9b4d2196c28927gxh25xx6", "criterias": [ "string" ], "sector_id": "7a56a154e6d242d796b9afdfx4clzjrg", "industry_id": "8b67b265f7e353e8a7cabeeg5emak8sh" }
{
"result": {
"id": "1f19dbcbc7b84be5b40ffcc4ya0zqbtr",
"hostname": "mycompany.com",
"status": "NEW",
"instance_property_id": "7a56a154e6d242d796b9afdfx4clzjrg",
"instance_company_id": "57cb7126dbbe4320b8c30be7uh1tj7h7",
"updated_at": "string",
"created_at": "string",
"is_active": false,
"email": "john@mycompany.com",
"company_trade_name": "My Company Inc",
"company_id_number": "333000",
"has_scripts": true,
"has_dsar": true,
"has_docs": false,
"has_accessibility": true,
"display_company": false,
"display_dpo": true,
"source": "API",
"partner_id": "ac276ff57f9b4d2196c28927gxh25xx6",
"privacy_widget": "<script>\nwindow._clymInit=window._clymInit||[];\nwindow._clymInit.push(['privacy','YOUR_PROPERTY_ID',{}]);\n</script>\n<script src='https://widget.clym-sdk.net/blocking.js'></script>\n<script src='https://widget.clym-sdk.net/clym.js' async></script>\n",
"privacy_center_link": "<a href=\"#\" onclick=\"Clym.showWidget();\">Privacy Center</a>\n",
"privacy_dnt_link": "<a href=\"#\" onclick=\"Clym.showWidget('/requests/new/do_not_sell_my_information');\">Do not sell my personal information</a>\n"
}
}Get domain restrictions
Checks whether your partner account can add another domain. Use it before creating a domain.
Show properties
GET /api/portal/domains/restrictions HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Accept: */*
{
"result": {
"can_add_domain": false
}
}Get domain
Retrieve information about a single domain
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
domainId |
string | Yes | Domain id |
Show properties
NEW SCANNED INVITED ACTIVE INACTIVE MIGRATING DELETEDAPI IMPORT PORTAL REGISTRATION WIDGET_SCAN WIDGET_REGISTRATIONShow properties
Show properties
Show properties
Show properties
Show properties
Show properties
NEW ACTIVE TRIAL GRACE PENDING_CANCEL PENDING_CHANGE PENDING_ACTIVE INACTIVEShow properties
MONTH YEARShow properties
Show properties
Show properties
GET /api/portal/domains/{domainId} HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Accept: */*
{
"result": {
"id": "1f19dbcbc7b84be5b40ffcc4ya0zqbtr",
"hostname": "mycompany.com",
"status": "NEW",
"instance_property_id": "7a56a154e6d242d796b9afdfx4clzjrg",
"instance_company_id": "57cb7126dbbe4320b8c30be7uh1tj7h7",
"updated_at": "string",
"created_at": "string",
"activated_at": "string",
"is_active": false,
"email": "john@mycompany.com",
"company_trade_name": "My Company Inc",
"company_id_number": "333000",
"has_scripts": false,
"has_dsar": false,
"has_docs": false,
"has_accessibility": false,
"display_company": false,
"display_dpo": false,
"has_clym_logo": false,
"widget_version": 0,
"instance_id": 0,
"system_segment_id": 0,
"source": "API",
"partner_id": "ac276ff57f9b4d2196c28927gxh25xx6",
"privacy_widget": "<script>\nwindow._clymInit=window._clymInit||[];\nwindow._clymInit.push(['privacy','YOUR_PROPERTY_ID',{}]);\n</script>\n<script src='https://widget.clym-sdk.net/blocking.js'></script>\n<script src='https://widget.clym-sdk.net/clym.js' async></script>\n",
"privacy_center_link": "<a href=\"#\" onclick=\"Clym.showWidget();\">Privacy Center</a>\n",
"privacy_dnt_link": "<a href=\"#\" onclick=\"Clym.showWidget('/requests/new/do_not_sell_my_information');\">Do not sell my personal information</a>\n",
"merchants": ["string"],
"instance": {
"id": 0,
"name": "string",
"hostname": "string"
},
"property": null,
"subscription": {
"id": "string",
"status": "NEW",
"start_date": "string",
"end_date": "string",
"created_at": "string",
"price": {
"id": 0,
"frequency": "MONTH",
"currency": {
"id": "string",
"name": "string"
},
"price_list": {
"id": 0,
"type": "string",
"code": "string"
},
"product": {
"id": 0,
"type": "string",
"name": "string"
}
}
}
}
}Update domain
Update information about a domain
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
domainId |
string | Yes | Domain id |
CLASSIC DISCRETE FOOTER TOPShow properties
PUT /api/portal/domains/{domainId} HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "company_name": "My Company Inc", "company_trade_name": "My Company", "company_id_number": "333000", "country": "US", "state": "FL", "city": "Stuart", "address": "string", "address_2": "950 S Kanner Hwy Apt 401", "postal_code": "34994", "primary_color": "#c3c3c3", "has_scripts": true, "has_dsar": true, "has_docs": false, "has_accessibility": true, "display_dpo": true, "display_company": false, "default_notice_type": "CLASSIC" }
{
"result": {
"id": "string"
}
}Delete domain
Completely delete the domain and all associated functionality from your partner account
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
domainId |
string | Yes | Domain id |
Show properties
DELETE /api/portal/domains/{domainId} HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Accept: */*
{
"result": {
"scheduled": true
}
}Deactivate domain
Deactivate an active domain, changing its status to INACTIVE. The domain will be excluded from the list of partner domains.
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
domainId |
string | Yes | Domain id |
POST /api/portal/domains/{domainId}/deactivate HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Accept: */*
{
"result": {}
}Activate domain
Activate a deactivated domain. The domain will be included in the list of partner domains.
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
domainId |
string | Yes | Domain id |
POST /api/portal/domains/{domainId}/activate HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Accept: */*
{
"result": {}
}Invite domain
Send an invitation email to start the onboarding process for the specified domain. The email will be sent to the email address of the account owner and the domain status will change to INVITED. Once we start receiving the first page views, the domain status will change to ACTIVE
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
domainId |
string | Yes | Domain id |
POST /api/portal/domains/{domainId}/invite HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "send_intro": false }
{
"result": {}
}Scan domain
Starts a new scan of the domain's website, for example after the website changed.
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
domainId |
string | Yes | Domain id |
```http-response 200 Scan started. The response has no result body.
{}
<h2 id="api.portal.domain.subdomain.find">Get subdomains</h2>
`GET /portal/domains/{domainId}/subdomains`
<div class="md-endpoint-meta" data-params="[{"name":"domainId","in":"path","required":true,"type":"string","example":"","description":"Domain id"}]"></div>
Retrieves all the previously created subdomains of the specified domain
**Path parameters:**
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `domainId` | string | Yes | Domain id |
```schema response 200 A list of the domain's subdomains
{"type":"object","properties":{"result":{"type":"array","items":{"type":"object","description":"Subdomain of a domain.","properties":{"id":{"type":"string","example":"a9a678b195ff46bb865c3b1ec6wbbta8"},"hostname":{"type":"string","example":"shop.andona.com"},"instance_domain_id":{"type":"string","example":"b23cf02ffbe14a79bf543a845umpk5vj"},"updated_at":{"type":"string","format":"date-time","example":"2023-02-18T14:57:58.000Z"},"created_at":{"type":"string","format":"date-time","example":"2023-02-18T14:57:58.000Z"},"domain_id":{"type":"string","example":"2634b4d4183947cf95c99d99axwau9h8"},"instance_id":{"type":"string","example":"1"}}}}}}
POST /api/portal/domains/{domainId}/scan HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "send_owner": false }
{
"result": [{
"id": "a9a678b195ff46bb865c3b1ec6wbbta8",
"hostname": "shop.andona.com",
"instance_domain_id": "b23cf02ffbe14a79bf543a845umpk5vj",
"updated_at": "2023-02-18T14:57:58.000Z",
"created_at": "2023-02-18T14:57:58.000Z",
"domain_id": "2634b4d4183947cf95c99d99axwau9h8",
"instance_id": "1"
}]
}Create subdomain
Adds a new subdomain to the specified domain
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
domainId |
string | Yes | Domain id |
POST /api/portal/domains/{domainId}/subdomains HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "subdomain": "string" }
{
"id": "a9a678b195ff46bb865c3b1ec6wbbta8",
"hostname": "shop.andona.com",
"instance_domain_id": "b23cf02ffbe14a79bf543a845umpk5vj",
"updated_at": "2023-02-18T14:57:58.000Z",
"created_at": "2023-02-18T14:57:58.000Z",
"domain_id": "2634b4d4183947cf95c99d99axwau9h8",
"instance_id": "1"
}Delete subdomain
Removes the specified subdomain from the specified domain
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
domainId |
string | Yes | Domain id |
subdomain |
string | Yes | The previously-created subdomain hostname |
```http-response 200 Subdomain removed. The response has no result body.
{}
<h2 id="api.portal.domain.subscription.read">Get subscription</h2>
`GET /portal/domains/{domainId}/subscription`
<div class="md-endpoint-meta" data-params="[{"name":"domainId","in":"path","required":true,"type":"string","example":"","description":"Domain id"}]"></div>
Retrieves the domain's active subscription, together with the products the domain can upgrade or downgrade to. Use the product and price list codes with the Change product endpoint.
**Path parameters:**
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `domainId` | string | Yes | Domain id |
```schema response 200 The domain subscription information
{"type":"object","properties":{"result":{"type":"object","properties":{"subscription":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["NEW","ACTIVE","TRIAL","GRACE","PENDING_CANCEL","PENDING_CHANGE","PENDING_ACTIVE","INACTIVE"]},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"price":{"type":"object","properties":{"id":{"type":"integer"},"frequency":{"type":"string"},"price_amount":{"type":"number"},"currency":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}},"price_list":{"type":"object","properties":{"id":{"type":"integer"},"type":{"type":"string"},"code":{"type":"string"},"name":{"type":"string"}}},"product":{"type":"object","properties":{"id":{"type":"integer"},"type":{"type":"string"},"name":{"type":"string"}}}}},"payment_method":{"type":"object","description":"The payment method type of the subscription","properties":{"id":{"type":"integer"},"code":{"type":"string"},"name":{"type":"string"}}}},"description":"The active subscription. Omitted when the domain has no active subscription."},"upgrade":{"type":"array","description":"Products the domain can upgrade to. When the domain has no active subscription, this lists the products the domain can subscribe to.","items":{"type":"object","description":"A product and price list the domain's subscription can change to","properties":{"product":{"type":"object","properties":{"id":{"type":"integer"},"type":{"type":"string"},"code":{"type":"string"},"name":{"type":"string"}}},"price_list":{"type":"object","properties":{"id":{"type":"integer"},"type":{"type":"string"},"code":{"type":"string"},"name":{"type":"string"}}},"price":{"type":"object","properties":{"id":{"type":"integer"},"frequency":{"type":"string"},"price_amount":{"type":"number"}}},"payment_methods":{"type":"array","description":"The payment methods available for this option","items":{"type":"object"}}}}},"downgrade":{"type":"array","description":"Products the domain can downgrade to. Empty when the domain has no active subscription.","items":{"type":"object","description":"A product and price list the domain's subscription can change to","properties":{"product":{"type":"object","properties":{"id":{"type":"integer"},"type":{"type":"string"},"code":{"type":"string"},"name":{"type":"string"}}},"price_list":{"type":"object","properties":{"id":{"type":"integer"},"type":{"type":"string"},"code":{"type":"string"},"name":{"type":"string"}}},"price":{"type":"object","properties":{"id":{"type":"integer"},"frequency":{"type":"string"},"price_amount":{"type":"number"}}},"payment_methods":{"type":"array","description":"The payment methods available for this option","items":{"type":"object"}}}}}}}}}
DELETE /api/portal/domains/{domainId}/subdomains/{subdomain} HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Accept: */*
{
"result": {
"subscription": null,
"upgrade": [{
"product": {
"id": 0,
"type": "string",
"code": "string",
"name": "string"
},
"price_list": {
"id": 0,
"type": "string",
"code": "string",
"name": "string"
},
"price": {
"id": 0,
"frequency": "string",
"price_amount": 0
},
"payment_methods": [{}]
}],
"downgrade": [{
"product": {
"id": 0,
"type": "string",
"code": "string",
"name": "string"
},
"price_list": {
"id": 0,
"type": "string",
"code": "string",
"name": "string"
},
"price": {
"id": 0,
"frequency": "string",
"price_amount": 0
},
"payment_methods": [{}]
}]
}
}Change product
Changes the product and price list of the domain's subscription.
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
domainId |
string | Yes | Domain id |
Show properties
POST /api/portal/domains/{domainId}/subscription/product HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "product": "string", "price_list": "string" }
{
"result": {
"changed": false
}
}Bulk change product
Changes the product and price list in bulk, for up to 100 domains at once
Show properties
Show properties
Show properties
Show properties
Show properties
POST /api/portal/domains/bulk/subscription/product HTTP/1.1 Host: partners.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "domains": [ { "id": "string", "product": "string", "price_list": "string" } ] }
{
"result": {
"changed": [{
"domain_id": "string",
"changed": false
}],
"failed": [{
"domain_id": "string",
"error": {
"code": "DATA.INVALID_NAME",
"ns": "DATA",
"message": "string",
"status": 400,
"data": {}
}
}]
}
}